package com.zyc.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zyc.common.annotation.Excel;
import com.zyc.common.core.domain.BaseEntity;

/**
 * 网络拓扑对象 network_map
 * 
 * @author ruoyi
 * @date 2024-12-26
 */
public class NetworkMap extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Integer id;

    /** 子网ID */
    @Excel(name = "子网ID")
    private Integer subnetId;

    /** 子网父ID */
    @Excel(name = "子网父ID")
    private Integer parentSubnetId;

    /** 网元管理IP */
    @Excel(name = "网元管理IP")
    private String ip;

    /** 网元名称（网络节点名称） */
    @Excel(name = "网元名称", readConverterExp = "网=络节点名称")
    private String netNodeName;

    /** 网元设备状态 */
    @Excel(name = "网元设备状态")
    private String netNodeStatus;

    /** 网拓扑中的坐标 */
    @Excel(name = "网拓扑中的坐标")
    private String coordinate;

    /** 拓扑连纤A端信息 */
    @Excel(name = "拓扑连纤A端信息")
    private String lianqianA;

    /** 拓扑连纤Z端信息 */
    @Excel(name = "拓扑连纤Z端信息")
    private String lianqianZ;

    /** 创建者 */
    @Excel(name = "创建者")
    private Integer createdBy;

    /** 更新者 */
    @Excel(name = "更新者")
    private Integer updatedBy;

    /** 删除者 */
    @Excel(name = "删除者")
    private Integer deletedBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdAt;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedAt;

    /** 删除时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "删除时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date deletedAt;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Integer deletedFlag;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setSubnetId(Integer subnetId) 
    {
        this.subnetId = subnetId;
    }

    public Integer getSubnetId() 
    {
        return subnetId;
    }
    public void setParentSubnetId(Integer parentSubnetId) 
    {
        this.parentSubnetId = parentSubnetId;
    }

    public Integer getParentSubnetId() 
    {
        return parentSubnetId;
    }
    public void setIp(String ip) 
    {
        this.ip = ip;
    }

    public String getIp() 
    {
        return ip;
    }
    public void setNetNodeName(String netNodeName) 
    {
        this.netNodeName = netNodeName;
    }

    public String getNetNodeName() 
    {
        return netNodeName;
    }
    public void setNetNodeStatus(String netNodeStatus) 
    {
        this.netNodeStatus = netNodeStatus;
    }

    public String getNetNodeStatus() 
    {
        return netNodeStatus;
    }
    public void setCoordinate(String coordinate) 
    {
        this.coordinate = coordinate;
    }

    public String getCoordinate() 
    {
        return coordinate;
    }
    public void setLianqianA(String lianqianA) 
    {
        this.lianqianA = lianqianA;
    }

    public String getLianqianA() 
    {
        return lianqianA;
    }
    public void setLianqianZ(String lianqianZ) 
    {
        this.lianqianZ = lianqianZ;
    }

    public String getLianqianZ() 
    {
        return lianqianZ;
    }
    public void setCreatedBy(Integer createdBy) 
    {
        this.createdBy = createdBy;
    }

    public Integer getCreatedBy() 
    {
        return createdBy;
    }
    public void setUpdatedBy(Integer updatedBy) 
    {
        this.updatedBy = updatedBy;
    }

    public Integer getUpdatedBy() 
    {
        return updatedBy;
    }
    public void setDeletedBy(Integer deletedBy) 
    {
        this.deletedBy = deletedBy;
    }

    public Integer getDeletedBy() 
    {
        return deletedBy;
    }
    public void setCreatedAt(Date createdAt) 
    {
        this.createdAt = createdAt;
    }

    public Date getCreatedAt() 
    {
        return createdAt;
    }
    public void setUpdatedAt(Date updatedAt) 
    {
        this.updatedAt = updatedAt;
    }

    public Date getUpdatedAt() 
    {
        return updatedAt;
    }
    public void setDeletedAt(Date deletedAt) 
    {
        this.deletedAt = deletedAt;
    }

    public Date getDeletedAt() 
    {
        return deletedAt;
    }
    public void setDeletedFlag(Integer deletedFlag) 
    {
        this.deletedFlag = deletedFlag;
    }

    public Integer getDeletedFlag() 
    {
        return deletedFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("subnetId", getSubnetId())
            .append("parentSubnetId", getParentSubnetId())
            .append("ip", getIp())
            .append("netNodeName", getNetNodeName())
            .append("netNodeStatus", getNetNodeStatus())
            .append("coordinate", getCoordinate())
            .append("lianqianA", getLianqianA())
            .append("lianqianZ", getLianqianZ())
            .append("createdBy", getCreatedBy())
            .append("updatedBy", getUpdatedBy())
            .append("deletedBy", getDeletedBy())
            .append("createdAt", getCreatedAt())
            .append("updatedAt", getUpdatedAt())
            .append("deletedAt", getDeletedAt())
            .append("deletedFlag", getDeletedFlag())
            .toString();
    }
}
